/**
 * Concatenate array 2 to array 1 and return the resulting UInt8Array.
 * @param {Uint8Array} array1 First array to concatenate.
 * @param {Uint8Array} array2 Second array to concatenate.
 * @returns {Uint8Array} Result UInt8Array.
 */
export declare function appendArray(array1: Uint8Array, array2: Uint8Array): Uint8Array;
/**
 * Convert short integer to byte array
 * @param {number} i - Number to convert.
 * @returns {Uint8Array} Byte array.
 */
export declare function shortToBytearray(i: number): Uint8Array;
/**
 * Convert an integer to byte array
 * @param {number} i - Number to convert.
 * @returns {Uint8Array} Array of byte from interger
 */
export declare function intToByteArray(i: number): Uint8Array;
/**
 * Convert a byte array to short integer.
 * @param {number} i - Number to convert.
 * @param {number} j - Number to convert.
 * @returns {number} Return a short integer number.
 */
export declare function byteArrayToShort(i: number, j: number): number;
/**
 * Convert a byte array to integer.
 * @param {number} i - Number to convert.
 * @param {number} j - Number to convert.
 * @param {number} k - Number to convert.
 * @param {number} l - Number to convert.
 * @returns {number} Return a integer number.
 */
export declare function byteArrayToInt(i: number, j: number, k: number, l: number): number;
/**
 * Convert a unsigned 8 bit integer array to byte string.
 * @param {Uint8Array} u8Array - magic hex number to select ROM.
 * @returns {string} Return the equivalent string.
 */
export declare function ui8ToBstr(u8Array: Uint8Array): string;
/**
 * Convert a byte string to unsigned 8 bit integer array.
 * @param {string} bStr - binary string input
 * @returns {Uint8Array} Return a 8 bit unsigned integer array.
 */
export declare function bstrToUi8(bStr: string): Uint8Array;
