/**
 * Converts a Uint8Array to a hexadecimal string representation.
 * @param {Uint8Array} s - The Uint8Array to be converted.
 * @returns {string} A hexadecimal string representation of the input Uint8Array.
 * @example
 * const byteArray = new Uint8Array([255, 0, 127]);
 * const hexString = hexify(byteArray); // "ff007f"
 */
export declare function hexify(s: Uint8Array): string;
/**
 * Converts a Uint8Array to a formatted hexadecimal string representation with ASCII.
 * @param {Uint8Array} uint8Array - The Uint8Array to be converted.
 * @param {boolean} autoSplit - Indicates whether to automatically split the output into lines.
 * @returns {string} A formatted hexadecimal string representation of the input Uint8Array.
 * @example
 * const byteArray = new Uint8Array([ 192, 0, 5, 16, 0, 0, 0, 0, 0, 6, 104, 13, 0, 0, 1, 0 ]);
 * const hexString = hexConvert(byteArray); // "c000051000000000 00680d0000010000 | .........h......"
 */
export declare function hexConvert(uint8Array: Uint8Array, autoSplit?: boolean): string;
